Package io.strimzi.systemtest.kafkaclients.externalClients

## Class OauthExternalKafkaClient.Builder

- java.lang.Object
- - io.strimzi.systemtest.kafkaclients.AbstractKafkaClient.Builder<OauthExternalKafkaClient.Builder>
  - - io.strimzi.systemtest.kafkaclients.externalClients.OauthExternalKafkaClient.Builder

- Enclosing class:
    OauthExternalKafkaClient

      public static class OauthExternalKafkaClient.Builder
      extends AbstractKafkaClient.Builder<OauthExternalKafkaClient.Builder>

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Builder()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `OauthExternalKafkaClient` | `build()` |
    `OauthExternalKafkaClient.Builder` | `withClientSecretName​(String clientSecretName)` |
    `OauthExternalKafkaClient.Builder` | `withIntrospectionEndpointUri​(String introspectionEndpointUri)` |
    `OauthExternalKafkaClient.Builder` | `withOauthClientId​(String oauthClientId)` |
    `OauthExternalKafkaClient.Builder` | `withOauthTokenEndpointUri​(String oauthTokenEndpointUri)` |

    - ### Methods inherited from class io.strimzi.systemtest.kafkaclients.AbstractKafkaClient.Builder

      `withCertificateAuthorityCertificateName, withClusterName, withConsumerGroupName, withConsumerProperties, withKafkaUsername, withListenerName, withMessageCount, withNamespaceName, withPartition, withProducerProperties, withSecretPrefix, withSecurityProtocol, withTopicName`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Builder

          public Builder()

  - ### Method Detail

    - #### withOauthClientId

          public OauthExternalKafkaClient.Builder withOauthClientId​(String oauthClientId)

    - #### withClientSecretName

          public OauthExternalKafkaClient.Builder withClientSecretName​(String clientSecretName)

    - #### withOauthTokenEndpointUri

          public OauthExternalKafkaClient.Builder withOauthTokenEndpointUri​(String oauthTokenEndpointUri)

    - #### withIntrospectionEndpointUri

          public OauthExternalKafkaClient.Builder withIntrospectionEndpointUri​(String introspectionEndpointUri)

    - #### build

          public OauthExternalKafkaClient build()

      Overrides:
        `build` in class `AbstractKafkaClient.Builder<OauthExternalKafkaClient.Builder>`